## cognitive-complexity 1.2.0

=== Makefile ===
check:
	flake8 .
	mypy .
	make test check_readme

test:
	python -m pytest --cov=cognitive_complexity --cov-report=xml

check_readme:
	mdl README.md

=== debian/changelog ===
cognitive-complexity (1.2.0-3) unstable; urgency=medium

  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Tue, 19 Jul 2022 14:49:04 +0100

cognitive-complexity (1.2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 10 Jul 2022 09:20:02 +0100

cognitive-complexity (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014129)

 -- Edward Betts <edward@4angle.com>  Thu, 30 Jun 2022 16:10:04 +0100

=== debian/control ===
Source: cognitive-complexity
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/Melevir/cognitive_complexity
Vcs-Browser: https://salsa.debian.org/python-team/packages/cognitive-complexity
Vcs-Git: https://salsa.debian.org/python-team/packages/cognitive-complexity.git

Package: python3-cognitive-complexity
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library to calculate Python functions cognitive complexity via code
 This library can be used as part of a style checker to warn if Python code is
 too complex.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cognitive-complexity
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf cognitive_complexity.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cognitive-complexity-$1\.tar\.gz/ \
  https://github.com/Melevir/cognitive_complexity/tags .*/v?(\d\S+)\.tar\.gz
